Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060214 - [abrt] byobu: select-session.py:66:get_sessions:TypeError: decode() argument 1 must be string, not None
Summary: [abrt] byobu: select-session.py:66:get_sessions:TypeError: decode() argument ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: byobu
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Klepek
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3bba53b286b6cc7e9a6ed4913ab...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-31 13:23 UTC by Alois Mahdal
Modified: 2015-06-30 00:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:53:05 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-31 13:23 UTC, Alois Mahdal
no flags Details
File: environ (deleted)
2014-01-31 13:23 UTC, Alois Mahdal
no flags Details


Links
System ID Priority Status Summary Last Updated
Launchpad 1279533 None None None Never

Description Alois Mahdal 2014-01-31 13:23:18 UTC
Description of problem:
I just ran `sh -c byobu` in Xfce via "Run..." (Alt+F2).

BTW I have instaled byobu just few moments ago and at the moment when it crashed I was running one session. (I wanted to access that using above command.)

Version-Release number of selected component:
byobu-5.69-2.fc20

Additional info:
reporter:       libreport-2.1.11
cmdline:        python /usr/libexec/byobu/include/select-session.py
executable:     /usr/libexec/byobu/include/select-session.py
kernel:         3.12.8-300.fc20.x86_64
runlevel:       unknown
type:           Python
uid:            22482

Truncated backtrace:
select-session.py:66:get_sessions:TypeError: decode() argument 1 must be string, not None

Traceback (most recent call last):
  File "/usr/libexec/byobu/include/select-session.py", line 117, in <module>
    sessions = get_sessions()
  File "/usr/libexec/byobu/include/select-session.py", line 66, in get_sessions
    output = output.decode(sys.stdout.encoding)
TypeError: decode() argument 1 must be string, not None

Local variables in innermost frame:
i: 0
output: '1: 1 windows (created Fri Jan 31 13:59:36 2014) [88x141]\n'
sessions: []

Comment 1 Alois Mahdal 2014-01-31 13:23:25 UTC
Created attachment 857854 [details]
File: backtrace

Comment 2 Alois Mahdal 2014-01-31 13:23:26 UTC
Created attachment 857855 [details]
File: environ

Comment 3 Jan Klepek 2014-02-25 18:37:52 UTC
Package byobu-5.73-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing byobu-5.73-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2757/byobu-5.73-1.fc20
then log in and leave karma (feedback).

Comment 4 Jan Klepek 2014-02-25 18:38:16 UTC
please test and let me know

Comment 5 Jan Klepek 2014-03-02 10:12:49 UTC
similar issue appears in other distributions, so the issue is raised to upstream (https://bugs.launchpad.net/byobu/+bug/1279533)

Comment 6 Alois Mahdal 2014-03-03 22:13:34 UTC
byobu-5.73-1.fc20 is now not available so I tried to simply update byobu and I got byobu-5.73-4.fc20.

However, the crash still happens.

Current reproducer is:

1.  Start a byobu session in terminal
2.  Press F6 to detach from the session
3.  Press Alt+F2 and enter sh -c byobu
    *  byobu crashes, taking down the existing session

This happens with one or two sessions in the background.  However, if there are no sessions, step 3 shows no activity (not sure if this is OK).

Comment 7 Jan Klepek 2014-03-07 17:39:59 UTC
well, this is quite a catch, when you start byobu with already existing sessions, it basically expects that you choose what session you would like to restore. However gnome shell does not offer any "window" where it will print such question and process will just hang (you can try to do it with "yes" command, when you run it from gnome shell (alt+f2), it keeps running and eating system resources and you do not see it's output anywhere. This is reason why this crashes, it is looking of encoding of stdout, however there is no stdout, so there is no encoding of stdout, I can fix that it will not crash, however that is not really solution, just workaround to stop crashing without fixing issue that you would not be able to start byobu this way.

Comment 8 Jan Klepek 2014-03-17 06:10:08 UTC
i was reading gnome-shell manual today and i have found out: 
Alt+F2 allows entering a command to launch an application. If you want to launch a shell command in a new Terminal window press Ctrl+Enter. 

So basically, you should run command in new terminal window (Ctrl+Enter) instead of just "enter".
So from byobu side, there is nothing what we can do.

Comment 9 Alois Mahdal 2014-03-17 09:56:55 UTC
Thank you for your replies, Jan!


I was aware that this is not correct way to start terminal application or anything that uses or even depends on stdin/stdout/stderr.

What I think is a problem here that byobu crashes *and takes down* existing session instead of just not connecting to it.  (Sorry, it's probably not clear from the report.)


So

> I can fix that it will not crash, however that is not really solution,
> just workaround to stop crashing without fixing issue that you would
> not be able to start byobu this way.

from my POV it is solution--if it also prevents killing of the existing session.

Comment 10 Fedora End Of Life 2015-05-29 10:45:33 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2015-06-30 00:53:05 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.